# $Revision: 1.37 $, $Date: 2007-11-07 11:11:49 $
%define	ver	%(echo %{version} | tr . _)
Summary:	XML parser
Summary(pl.UTF-8):	Analizator składniowy XML-a
Name:		xerces-c
Version:	2.8.0
Release:	2
License:	Apache
Group:		Applications/Publishing/XML
Source0:	http://www.apache.org/dist/xerces/c/sources/%{name}-src_%{ver}.tar.gz
# Source0-md5:	5daf514b73f3e0de9e3fce704387c0d2
Patch0:		%{name}-iso88592.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-opt.patch
Patch3:		%{name}-lib64.patch
URL:		http://xml.apache.org/
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML parser.

%description -l pl.UTF-8
Analizator składniowy XML-a.

%package devel
Summary:	%{name} header files
Summary(pl.UTF-8):	Pliki nagłówkowe %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
%{name} header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe %{name}.

%package doc
Summary:	Extensive %{name} documentation
Summary(pl.UTF-8):	Obszerna dokumentacja %{name}
Group:		Documentation

%description doc
Extensive %{name} documentation and examples.

%description doc -l pl.UTF-8
Obszerna dokumentacja oraz przykłady %{name}.

%prep
%setup -q -n %{name}-src_%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifarch %{x8664}
%patch3 -p1
%endif

%build
## What a shit!!!
XERCESCROOT=`pwd`; export XERCESCROOT
cd src/xercesc
%{__autoconf}
chmod 755 runConfigure
./runConfigure -plinux -cgcc -xg++ -minmem -nsocket -tnative -rpthread \
	-z%(echo %{rpmcflags} | sed -e 's/\(.\) \+\(.\)/\1 -z\2/g')

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -C src/xercesc install \
	XERCESCROOT=`pwd` \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt credits.txt
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files doc
%defattr(644,root,root,755)
%doc doc/html
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xerces-c.spec,v $
Revision 1.37  2007-11-07 11:11:49  tommat
- broken parallel build

Revision 1.36  2007/09/05 15:18:13  baggins
- rel 2
- fixed x8664  prep

Revision 1.35  2007/09/05 13:46:30  baggins
- 2.8.0
- updated source0 url

Revision 1.34  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.32  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.31  2006/02/10 21:10:51  qboosh
- readded opt patch

Revision 1.30  2006/02/10 14:57:14  baggins
- release 2
- fix x8664 install

Revision 1.29  2006/02/10 14:48:34  baggins
- release 1

Revision 1.28  2006/02/10 14:31:14  baggins
- fix building with installed xerces-c

Revision 1.27  2006/02/10 14:16:31  baggins
- make install the right way

Revision 1.26  2006/02/10 12:47:08  baggins
- 2.7.0
- removed obsolete patches

Revision 1.25  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.24  2003/10/26 14:41:14  qboosh
- -devel R: libstdc++-devel

Revision 1.23  2003/07/09 12:55:21  ggodlewski
- fixed building on gcc 2.95

Revision 1.22  2003/07/04 22:46:34  qboosh
- grr, opt patch is back (don't override our flags by -O!)

Revision 1.21  2003/07/03 15:04:52  qboosh
- updated md5

Revision 1.20  2003/07/03 13:50:06  ggodlewski
- 2.3.0

Revision 1.19  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:28:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/09 08:59:23  ggodlewski
- added support for iso-8859-2

Revision 1.16  2003/04/01 16:43:56  qboosh
- opt patch is back (updated)

Revision 1.15  2003/03/26 20:15:02  ggodlewski
- updated to 2.2.0

Revision 1.14  2003/01/26 14:33:48  qboosh
- separated doc (huge, over 19MB i.e. 5 times more than headers)

Revision 1.13  2002/08/18 17:18:32  blues
- release 2 - license fix

Revision 1.12  2002/07/01 21:30:08  qboosh
- updated to 1.7.0, use optflags, fixed License (it's not GPL!)

Revision 1.11  2002/05/21 23:15:04  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/18 18:31:34  gotar
- %desc

Revision 1.7  2002/01/30 18:38:16  alchemyx
- ugly words back again. sorry.

Revision 1.6  2002/01/29 02:55:46  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.5  2002/01/18 02:15:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/02 12:06:06  mkochano
- Updated to 1.5.2.

Revision 1.3  2001/10/11 14:38:13  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.2  2000/09/30 14:59:30  klakier
- finished (need testing)

Revision 1.1  2000/09/30 14:26:31  klakier
- initial version
